<?php
// Abdullah_Aljahdali

class LoginForm {
  private $action = 'login.php'; // default value
  private $method = 'POST'; // default value
  private $username = '';
  private $password = '';
  public function __construct($arg=NULL) {
    // echo "Constructor\n";
    // if($arg=='action') {
    //   $this->action = $val;
    // } else if($var=='method') {
    //   $this->method = $val;
    // } else if($var=='username') {
    //   $this->username = $val;
    // } else if($var=='password') {
    //   $this->password = $val;
    // }
  }
  public function __destruct() {
    // echo "Destructor\n";
  }
  public function __set($var, $val) {
    if($var=='action') {
      $this->action = $val;
    } else if($var=='method') {
      $this->method = $val;
    } else if($var=='username') {
      $this->username = $val;
    } else if($var=='password') {
      $this->password = $val;
    }
  }
  public function __get($var) {
    if($var=='action') {
      return($this->action);
    } else if($var=='method') {
      return($this->method);
    } else if($var=='username') {
      return($this->username);
    } else if($var=='password') {
      return($this->password);
    }
  }


  public function displayForm($id="form") {
    $out = "<form id='".$id."' class='sublist' action='".($this->action)."' method='".($this->method)."'>".
    "<h3>Login</h3>".
    "<h4>Enter your username and password below.</h4>".
          $this->addLabel("Username:", "username").
          $this->addInput("text", "username", "", "username", "", "", true, true).
          $this->addLabel("Password:", "password").
          $this->addInput("password", "password", "", "password", "").
          $this->addButton("submit", "submit", "", "submit", "login").
          "</form>";
      return $out;
  }

  public function addTage($tage, $id="", $class="", $for="", $label) {
    return "<".$tage." id='".$id."' for='".$for."'>".$label."</".$tage.">";
  }

  public function addLabel($label, $for, $withFieldset = false) {
    return ((($withFieldset == true))?"<fieldset>":"")."<label for='".$for."'>".$label."</label>".((($withFieldset == true))?"</fieldset>":"");
  }

  public function addButton($type, $id, $class, $for, $placeholder='') {
    return "<fieldset class='".$class."'>".
    "<button id='".$id."' name='".$for."' type='".$type."'>".$placeholder."</button>".
        "</fieldset>";
  }

  public function addInput($type, $id, $class, $for, $placeholder='', $value='', $required=true, $autofocus=false) {
    if ($required == true) {$required = "required";} else {$required = "";}
    if ($autofocus == true) {$autofocus = "autofocus";} else {$autofocus = "";}
    return "<fieldset class='".$class."'>".
        "<input id='".$id."' name='".$for."' placeholder='".$placeholder."' type='".$type."' value='".$value."' tabindex='1' '".$required."' '".$autofocus."'>".
          "</fieldset>";
  }

  public function addTextArea($id, $class, $for, $placeholder='', $value='', $rows=8, $cols=40, $required=true, $autofocus=false) {
    if ($required == true) {$required = "required";} else {$required = "";}
    if ($autofocus == true) {$autofocus = "autofocus";} else {$autofocus = "";}
    return "<fieldset class='".$class."'>".
        "<textarea id='".$id."' name='".$for."' placeholder='".$placeholder."' rows='".$rows."' cols='".$cols."' tabindex='4' '".$required."' '".$autofocus."'>".$value."</textarea>".
          "</fieldset>";
  }
  //
  public function validate($id="form") {
    $error = array();
    $errors = false;
    $out = "<form id='".$id."' class='sublist' action='".$this->action."' method='".$this->method."'>";
    $out.= "<h3>Login</h3>";
    $out.= "<h4>Please fill out the requierd information below.</h4>";

    $out.= $this->addLabel("Username:", "username");
    if(isset($_POST["username"]) && !empty($_POST["username"])) { // received data from POST req
      $this->username = $_POST["username"];
      $out.= $this->addInput("text", "username", "", "username", "", true, false);
    } else {
      $error['username'] = "<ul class='card'><li class='error'>username is missing</li></ul>";
      $errors = true;
      $out.= $this->addInput("text", "username", "errorInput", "username", "", "", true, true);
    }
    $out.= $this->addLabel("Password:", "password");
    if(isset($_POST["password"]) && !empty($_POST["password"])) { // received data from POST req
      $this->password = $_POST["password"];
      $out.= $this->addInput("password", "password", "", "password", "", $this->password, true, false);
    } else {
      $error['password'] = "<ul class='card'><li class='error'>password is missing</li></ul>";
      $errors = true;
      $out.= $this->addInput("password", "password", "errorInput", "password", "", "", true, true);
    }
    $out.= $this->addButton("submit", "submit", "", "submit", "login").
    "</form>";

    $out = ($errors == true) ? $out: "";
    return $out;
  }

  public function success($id='form') {
    $out = "<form id='".$id."' class='sublist'>".
           "<h3>Thanks! <b>".$this->username."</b></h3>".
           $this->addLabel("click <a href='home.php'>here</a> if you haven't transferd to your page!", "").
           "</form>";
      return $out;
  }

  public function error($id='form') {
    $out = "<form id='".$id."' class='sublist' action='".($this->action)."' method='".($this->method)."'>".
    "<h3>Login</h3>".
    "<h4>Opps!! please check your email/password.</h4>".
          $this->addLabel("Username:", "username").
          $this->addInput("text", "username", "errorInput", "username", "", "", true, true).
          $this->addLabel("Password:", "password").
          $this->addInput("password", "password", "errorInput", "password", "", "", true, true).
          $this->addButton("submit", "submit", "", "submit", "login").
          "</form>";
      return $out;
  }
}




class SignupForm {
  private $action = 'signup.php'; // default value
  private $method = 'POST'; // default value
  private $username = '';
  private $password = '';
  public function __construct($arg=NULL) {
    // echo "Constructor\n";
    // if($arg=='action') {
    //   $this->action = $val;
    // } else if($var=='method') {
    //   $this->method = $val;
    // } else if($var=='username') {
    //   $this->username = $val;
    // } else if($var=='password') {
    //   $this->password = $val;
    // }
  }
  public function __destruct() {
    // echo "Destructor\n";
  }
  public function __set($var, $val) {
    if($var=='action') {
      $this->action = $val;
    } else if($var=='method') {
      $this->method = $val;
    } else if($var=='username') {
      $this->username = $val;
    } else if($var=='password') {
      $this->password = $val;
    }
  }
  public function __get($var) {
    if($var=='action') {
      return($this->action);
    } else if($var=='method') {
      return($this->method);
    } else if($var=='username') {
      return($this->username);
    } else if($var=='password') {
      return($this->password);
    }
  }


  public function displayForm($id="form") {
    $out = "<form id='".$id."' class='sublist' action='".($this->action)."' method='".($this->method)."'>".
    "<h3>Signup</h3>".
    "<h4>Enter your username and password below.</h4>".
          $this->addLabel("Username:", "username").
          $this->addInput("text", "username", "", "username", "", "", true, true).
          $this->addLabel("Password:", "password").
          $this->addInput("password", "password", "", "password", "").
          $this->addButton("submit", "submit", "", "submit", "signup").
          "</form>";
      return $out;
  }

  public function addTage($tage, $id="", $class="", $for="", $label) {
    return "<".$tage." id='".$id."' for='".$for."'>".$label."</".$tage.">";
  }

  public function addLabel($label, $for, $withFieldset = false) {
    return ((($withFieldset == true))?"<fieldset>":"")."<label for='".$for."'>".$label."</label>".((($withFieldset == true))?"</fieldset>":"");
  }

  public function addButton($type, $id, $class, $for, $placeholder='') {
    return "<fieldset class='".$class."'>".
    "<button id='".$id."' name='".$for."' type='".$type."'>".$placeholder."</button>".
        "</fieldset>";
  }

  public function addInput($type, $id, $class, $for, $placeholder='', $value='', $required=true, $autofocus=false) {
    if ($required == true) {$required = "required";} else {$required = "";}
    if ($autofocus == true) {$autofocus = "autofocus";} else {$autofocus = "";}
    return "<fieldset class='".$class."'>".
        "<input id='".$id."' name='".$for."' placeholder='".$placeholder."' type='".$type."' value='".$value."' tabindex='1' '".$required."' '".$autofocus."'>".
          "</fieldset>";
  }

  public function addTextArea($id, $class, $for, $placeholder='', $value='', $rows=8, $cols=40, $required=true, $autofocus=false) {
    if ($required == true) {$required = "required";} else {$required = "";}
    if ($autofocus == true) {$autofocus = "autofocus";} else {$autofocus = "";}
    return "<fieldset class='".$class."'>".
        "<textarea id='".$id."' name='".$for."' placeholder='".$placeholder."' rows='".$rows."' cols='".$cols."' tabindex='4' '".$required."' '".$autofocus."'>".$value."</textarea>".
          "</fieldset>";
  }
  //
  public function validate($id="form") {
    $error = array();
    $errors = false;
    $out = "<form id='".$id."' class='sublist' action='".$this->action."' method='".$this->method."'>";
    $out.= "<h3>Signup</h3>";
    $out.= "<h4>Please fill out the requierd information below.</h4>";

    $out.= $this->addLabel("Username:", "username");
    if(isset($_POST["username"]) && !empty($_POST["username"])) { // received data from POST req
      $this->username = $_POST["username"];
      $out.= $this->addInput("text", "username", "", "username", "", true, false);
    } else {
      $error['username'] = "<ul class='card'><li class='error'>username is missing</li></ul>";
      $errors = true;
      $out.= $this->addInput("text", "username", "errorInput", "username", "", "", true, true);
    }
    $out.= $this->addLabel("Password:", "password");
    if(isset($_POST["password"]) && !empty($_POST["password"])) { // received data from POST req
      $this->password = $_POST["password"];
      $out.= $this->addInput("password", "password", "", "password", "", $this->password, true, false);
    } else {
      $error['password'] = "<ul class='card'><li class='error'>password is missing</li></ul>";
      $errors = true;
      $out.= $this->addInput("password", "password", "errorInput", "password", "", "", true, true);
    }
    $out.= $this->addButton("submit", "submit", "", "submit", "signup").
    "</form>";

    $out = ($errors == true) ? $out: "";
    return $out;
  }

  public function success($id='form') {
    $out = "<form id='".$id."' class='sublist'>".
           "<h3>Thanks! <b>".$this->username."</b></h3>".
           $this->addLabel("click <a href='home.php'>here</a> if you haven't transferd to your page!", "").
           "</form>";
      return $out;
  }

  public function error($id='form') {
    $out = "<form id='".$id."' class='sublist' action='".($this->action)."' method='".($this->method)."'>".
    "<h3>Signup</h3>".
    "<h4>Opps!! email does exists <a href='#'>(restore your password)</a>.</h4>".
          $this->addLabel("Username:", "username").
          $this->addInput("text", "username", "errorInput", "username", "", "", true, true).
          $this->addLabel("Password:", "password").
          $this->addInput("password", "password", "errorInput", "password", "", "", true, true).
          $this->addButton("submit", "submit", "", "submit", "signup").
          "</form>";
      return $out;
  }
}


?>
