 <?php
 // Abdullah_Aljahdali

 include_once('../lib/helpers.php');
 include_once('../lib/connect.php');
 define('IMG_DIR', '../res/img/');

 $sId = session_id();
 if ($sId == '') { session_start(); }

if (!(isset($_GET['id'])||($_GET['id']==''))) {
  header("Location: ".(MAIN_DIR)."/pages/store.php");
  exit();
}
 $data = array(
   'title' => "cod&emacr;OUT",
   'guest' => ((isset($_GET['id'])&&($_GET['id']!=''))?decrypte($_GET["id"]):"Guest"),
 );
 if ((isset($_GET['id'])&&($_GET['id']!=''))) {
   //loadUser($_GET["userID"]);
   $data['items'] = array(
     array(
       "title" => "Store",
       "url" => "store.php".(isActive()),
       "active" => true,
     ),
     array(
       "title" => "Logout",
       "url" => "logout.php",
     ),
   );
 } else {
   $data['items'] = array(
     array(
       "title" => "Login",
       "url" => "login.php",
       "items" => array(
         array(
           "title" => "Signup",
           "url" => "signup.php"
         ),
       )
     ),
   );
 }

 include('header.php');
 include('nav.php');
 $sql = new sql();
 $sql->iterated("SELECT * FROM Carts WHERE usr_email=".($_GET["id"]).";");
 $carts = array();
 while($item = $sql->next()) {
   array_push($carts, $item);
 }

 $items = array();
 while($cart = current($carts)) {
   $sql->iterated("SELECT * FROM Products WHERE prod_sku='".($cart['prod_sku'])."' ;");
   while($item = $sql->next()) {
     array_push($items, $item);
   }
   next($carts);
 }

 ?>

 <!-- <h1>Shopping Cart</h1> -->
<?php
if (!isset($items) || empty($items)) {
  echo "<a class='close' href='./store.php".(isActive())."'><i class='fa fa-close' aria-hidden='true'></i></a>";

  echo "<div class='center'>";
  echo "<div class='card'>";
  echo "<li><p><b>Opps!</b> looks like you have an empty cart checkout the <a href='./store.php".(isActive())."'>STORE</a></p></li>";
  echo "</div>";
  echo "</div>";

} else {
  ?>
  <div class="shopping-cart">
<?php
$total = 0.0;
while ($item = current($items)) {
  $total += appendItemAndGetPrice($item);
  next($items);
}

?>

    <div class="totals">
      <div class="totals-item">
        <label>Subtotal</label>
        <div class="totals-value"><?php echo $total;?></div>
      </div>
    </div>
  </div>

<?php
}

include('footer.php');

function appendItemAndGetPrice($item) {
  echo "<div class='product'>";

  if(!empty($item['prod_img'])) {
      $name = $item['prod_img'];
      echo "<div class='".'product-image'."'> <img src='".IMG_DIR.$name.".png' ></div>";
  } else {
      $err = "Missing ".'prod_img'." (item SKU: ".($item['prod_sku']).")\n";
      echo $err."<br>";
  }
  echo "<div class='product-details'>";
  if(!empty($item['prod_name'])) {
      $name = $item['prod_name'];
      echo "<div class='".'product-title'."'><b>Name</b>: ".$name."</div>";
  } else {
      $err = "Missing ".'product-title'." (item SKU: ".($item['prod_sku']).")\n";
      echo $err."<br>";
  }

  if(!empty($item['prod_description'])) {
      $name = $item['prod_description'];
      echo "<div class='".'product-description'."'><b>About</b>: ".$name."</div>";
  } else {
      $err = "Missing ".'product-description'." (item SKU: ".($item['prod_sku']).")\n";
      echo $err."<br>";
  }

  echo "</div>";
  if(!empty($item['prod_price'])) {
    if(floatval($item['prod_price']) == 0.0) {
        $name = $item['prod_price'];
        echo "<div class='".'product-price'."'><b>Price</b>: Free</div>";
    } else {
      $name = $item['prod_price'];
      echo "<div class='".'product-price'."'><b>Price</b>: $".$name."</div>";
    }
  } else {
      $err = "Missing ".'product-price'." (item SKU: ".($item['prod_sku']).")\n";
      echo $err."<br>";
  }
  if(!empty($item['prod_rating'])) {
      $name = $item['prod_rating'];
      echo "<div class='".'product-rate'."'><b>Rate</b>: ".getStarsOutOfDouble($name)."</div>";
  } else {
      $err = "Missing ".'product-rate'." (item SKU: ".($item['prod_sku']).")\n";
      echo $err."<br>";
  }
    echo "</div>";
    return floatval($item['prod_price']);
}
?>
